#########################################################################
#########################################################################
## 	    		    Copyright  Apple Computer, Inc. 1992-1997
## 	             		  	All rights reserved
#########################################################################
#########################################################################
#	
#	Library:		VUAid.tool
#	
#	Version:		2.1.1
#	
#	Description:
#		Definition for interfacing with VU 2.0 external tool
#	
#	Contains:
#		tool VUAid2
#	
#	History:
#		Date:		By:			Changes:
#		11/30/92	Jonathan Marsh	VUAid 2.0 creation
#		05/10/94	SBR			Changed GetMemory and SetMemory to 'undefined'.
#		09/11/94	SBR			Launch: added 3rd & 4th parameters; changed 2nd 
#								to 'undefined'.
#		09/11/94	SBR			Added ReturnLongInts().
#		09/04/95	SBR			Changes to VUAid().
#		06/01/96	SBR/MSO		Updated copyright header
#		01/21/97	SBR			Updated copyright header.
#
#	Version	  Date		Who		Comments
#	=======	========	===		=================
#	2.1.0	02/12/97	JAS		Added 'vers' resources to library.
#								These should always match tool version when tool is revved.
#	
#########################################################################
#########################################################################

tool VUAid2 s:'VAid'
begin
	Service "CompareScreen"();
	Service "CompareScreenRect"('integer','integer','integer','integer');
	Service "CompareWindow"();
	Service "CompareWindow32"();
	Service "CompareWindow32Rect"('integer','integer','integer','integer');
	Service "CompareWindowRect"('integer','integer','integer','integer');
	Service "CompareHelpWindow"();
	Service "HelpWindowRect"();
	Service "Balloon"();
	Service "InvertScreen"();
	Service "InvertScreenRect"('integer','integer','integer','integer');
	Service "InvertWindow"();
	Service "InvertWindowRect"('integer','integer','integer','integer');
	Service "GetDepth"();
	Service "SetDepth"('integer');
	Service "GetGray"();
	Service "SetGray"('integer');
	Service "GetMemory"('regularExpression', 'undefined');
	Service "SetMemory"('regularExpression', 'undefined', 'undefined');
	Service "DebugStr"('regularExpression');
	Service "FindFolder"('regularExpression');
	Service "Launch"('regularExpression', 'undefined', 'undefined', 'undefined');
	Service "Move"('regularExpression', 'regularExpression');
	Service "Rename"('regularExpression', 'regularExpression');
	Service "Delete"('regularExpression');
	Service "IconLocation"('regularExpression');
	Service "Clipboard"();
	Service "ClipCompare"('regularExpression');
	Service "DateTime"();
	Service "CD"();
	Service "SolvePuzzle"();
	Service "ReturnLongInts"('undefined');
end;

